%define realname ActionTrackerPlugin

Name:           foswiki-plugin-actiontracker
Version:        0
Release:        0.1.2242%{?dist}
Summary:        Help track actions

Group:          Applications/Internet
License:        GPLv2+
URL:            http://foswiki.org/Extensions/%{realname}
Source0:        http://foswiki.org/pub/Extensions/%{realname}/%{realname}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildARch:      noarch

Requires:       foswiki


%description
This plugin provides support for tracking actions embedded in topics. Actions
captured this way can then be searched from any topic in the wiki. 


%prep
%setup -q -c %{name}-%{version}


%build
## Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
# Shared datas
mkdir -p $RPM_BUILD_ROOT%{_datadir}/foswiki
cp -a lib $RPM_BUILD_ROOT%{_datadir}/foswiki
# User datas
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/foswiki
cp -a data pub $RPM_BUILD_ROOT%{_localstatedir}/lib/foswiki


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/foswiki/lib/Foswiki/Plugins/*.pm
%{_datadir}/foswiki/lib/Foswiki/Plugins/%{realname}/
%{_localstatedir}/lib/foswiki/data/System/*.txt
%{_localstatedir}/lib/foswiki/pub/System/%{realname}/


%changelog
* Tue Mar 24 2009 Xavier Bachelot <xavier@bachelot.org> 0-0.1.2242
- Initial build.
